### Method

# Gimp Brush get_hardness

since: 2.4

#### Declaration [src]

    gboolean
    gimp_brush_get_hardness (
      GimpBrush* brush,
      gdouble* hardness
    )

#### Description [src]

Gets the hardness of a generated brush.

Gets the hardness of a generated brush. The hardness of a brush is the amount its intensity fades at the outside edge, as a double between 0.0 and 1.0. Returns an error when called for a non-parametric brush.

Available since: 2.4

#### Parameters

`hardness`

  Type: `gdouble*`

  The hardness of the brush.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

TRUE on success.